Bug 223071 - python flavors
Summary: python flavors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL: https://reviews.freebsd.org/D12464
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-17 19:03 UTC by Mathieu Arnold
Modified: 2017-12-01 08:06 UTC (History)
4 users (show)

See Also:
mat: exp-run?


Attachments
based on ports r452288. (209.43 KB, application/x-xz)
2017-10-17 19:05 UTC, Mathieu Arnold
no flags Details
based on ports r452288 --no-renames. (213.41 KB, application/x-xz)
2017-10-18 09:50 UTC, Mathieu Arnold
no flags Details
based on ports r452844 (215.21 KB, application/x-xz)
2017-10-25 14:32 UTC, Mathieu Arnold
no flags Details
based on ports r452844, v2 (215.38 KB, application/x-xz)
2017-10-25 15:17 UTC, Mathieu Arnold
no flags Details
based on ports r453344 (220.15 KB, application/x-xz)
2017-11-02 16:25 UTC, Mathieu Arnold
no flags Details
based on ports r454113 (221.57 KB, application/x-xz)
2017-11-13 16:19 UTC, Mathieu Arnold
no flags Details
base commit: r454610 (224.85 KB, application/x-xz)
2017-11-21 15:57 UTC, Mathieu Arnold
no flags Details
base commit: r454610 (224.85 KB, application/x-xz)
2017-11-21 16:09 UTC, Mathieu Arnold
no flags Details
base commit: r454766 (225.50 KB, application/x-xz)
2017-11-23 16:38 UTC, Mathieu Arnold
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2017-10-17 19:03:40 UTC
complete patch.
Comment 1 Mathieu Arnold freebsd_committer 2017-10-17 19:05:32 UTC
Created attachment 187242 [details]
based on ports r452288.
Comment 2 Antoine Brodin freebsd_committer 2017-10-17 19:57:48 UTC
Can you provide a patch that can be applied with either patch or svn patch?
Comment 3 Mathieu Arnold freebsd_committer 2017-10-18 09:50:51 UTC
Created attachment 187268 [details]
based on ports r452288 --no-renames.

patch without renames.
Comment 4 Mathieu Arnold freebsd_committer 2017-10-18 12:07:50 UTC
As a side note, for when I commit this with svn and not git, and before applying the patch from git:

svn mv textproc/py{3,}-pager
svn mv textproc/py{3,}-asciinema
svn mv net-mgmt/py{3,}-dnsdiag
svn mv multimedia/py3-gstreamer1/pkg-plist multimedia/py-gstreamer1/pkg-plist-py3
svn mv graphics/py3-cairo/pkg-plist graphics/py-cairo/pkg-plist-py3
svn mv accessibility/py3-atspi/pkg-plist accessibility/py-atspi/pkg-plist-py3
svn mv devel/py3-dbus/pkg-plist devel/py-dbus/pkg-plist-py3
svn mv devel/py3-gobject3/pkg-plist devel/py-gobject3/pkg-plist-py3
svn mv devel/py3-libpeas/pkg-plist devel/py-libpeas/pkg-plist-py3
svn mv devel/py{3,}-threema-msgapi
svn mv devel/py{27,}-setuptools/
svn mv accessibility/py{3,}-speech-dispatcher
Comment 5 Mathieu Arnold freebsd_committer 2017-10-18 12:28:34 UTC
Also, generate MOVED entries:

git diff -C05 --no-prefix --name-status origin/trunk...python-flavors |\
  awk '$1 !~ /^M/ && /Makefile/ {
    sub("/Makefile", "", $2);
    n=$2;
    sub("/py3.?-", "/py-", n);
    print $2 "|" n "@python3|'`date +%Y-%m-%d`'|Moved to a flavored, generic, version"
  }'
Comment 6 Antoine Brodin freebsd_committer 2017-10-18 20:36:36 UTC
I see that py36-libpeas-1.20.0 
is marked as broken: flavor "python3" fails to build

But it builds fine in an unflavored tree.
Comment 7 Antoine Brodin freebsd_committer 2017-10-19 15:48:58 UTC
New failures:

+ {"origin"=>"comms/wspr", "pkgname"=>"wspr-4.00.r4198_9", "phase"=>"build-depends", "errortype"=>"???"}
+ {"origin"=>"databases/pydbx", "pkgname"=>"py36-pydbx-0.14", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"databases/pyspatialite", "pkgname"=>"py36-pyspatialite-3.0.1_7", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"deskutils/vnc2flv", "pkgname"=>"py36-vnc2flv-20100207_2", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"devel/bicyclerepair", "pkgname"=>"bicyclerepair-py36-0.9", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"devel/cram", "pkgname"=>"py36-cram-0.7", "phase"=>"build-depends", "errortype"=>"???"}
+ {"origin"=>"devel/drpython", "pkgname"=>"drpython-py36-3.11.4_9", "phase"=>"build-depends", "errortype"=>"???"}
+ {"origin"=>"devel/py-game_sdl2", "pkgname"=>"py36-game_sdl2-6.99.12.4", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"devel/pylint", "pkgname"=>"pylint-py36-1.7.4", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"mail/muttils", "pkgname"=>"py36-muttils-1.3", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"math/py-PyWavelets", "pkgname"=>"py27-PyWavelets-0.5.2", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"multimedia/mmpython", "pkgname"=>"py36-mmpython-0.4.10_9", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"multimedia/photofilmstrip", "pkgname"=>"py36-photofilmstrip-3.0.2_1", "phase"=>"build-depends", "errortype"=>"???"}
+ {"origin"=>"multimedia/vapoursynth", "pkgname"=>"vapoursynth-R39_1", "phase"=>"build-depends", "errortype"=>"???"}
+ {"origin"=>"net-p2p/libtorrent-rasterbar-python", "pkgname"=>"py36-libtorrent-rasterbar-1.1.4_3", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"net/py-miniupnpc", "pkgname"=>"py27-miniupnpc-2.0.20170509", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"net/py-miniupnpc", "pkgname"=>"py36-miniupnpc-2.0.20170509", "phase"=>"fetch", "errortype"=>"???"}
+ {"origin"=>"net/pynids", "pkgname"=>"py36-pynids-0.6.1_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"security/arm", "pkgname"=>"py36-arm-1.4.5.0_1", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"security/morphis", "pkgname"=>"morphis-0.8.18.6", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"security/umit", "pkgname"=>"py36-umit-1.0_5", "phase"=>"configure", "errortype"=>"???"}
+ {"origin"=>"textproc/plover", "pkgname"=>"py36-plover-2.2.0_2", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"www/butterfly", "pkgname"=>"butterfly-2.0.1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"www/butterfly", "pkgname"=>"butterfly-py36-2.0.1", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"x11-toolkits/py-gui", "pkgname"=>"py27-gui-1.7.2_8", "phase"=>"build-depends", "errortype"=>"???"}


New failure logs:

http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/wspr-4.00.r4198_9.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py36-pydbx-0.14.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py36-pyspatialite-3.0.1_7.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py36-vnc2flv-20100207_2.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/bicyclerepair-py36-0.9.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py36-cram-0.7.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/drpython-py36-3.11.4_9.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py36-game_sdl2-6.99.12.4.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/pylint-py36-1.7.4.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py36-muttils-1.3.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py27-PyWavelets-0.5.2.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py36-mmpython-0.4.10_9.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py36-photofilmstrip-3.0.2_1.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/vapoursynth-R39_1.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py36-libtorrent-rasterbar-1.1.4_3.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py27-miniupnpc-2.0.20170509.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py36-miniupnpc-2.0.20170509.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py36-pynids-0.6.1_2.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py36-arm-1.4.5.0_1.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/morphis-0.8.18.6.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py36-umit-1.0_5.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py36-plover-2.2.0_2.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/butterfly-2.0.1.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/butterfly-py36-2.0.1.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-18_09h54m00s/logs/errors/py27-gui-1.7.2_8.log
Comment 8 Antoine Brodin freebsd_committer 2017-10-19 17:08:18 UTC
A few ports do strange things:

[00:04:21] Deleting meep-1.2.1_9.txz: changed options
[00:04:21] Pkg: MPICH2
[00:04:21] New:

[00:05:39] Deleting py27-autobahn-0.17.2.txz: changed options
[00:05:39] Pkg: ACCELERATE SERIALIZATION
[00:05:39] New: ACCELERATE SERIALIZATION TWISTED

[00:06:38] Deleting soundkonverter-2.2.2_5.txz: changed options
[00:06:38] Pkg: CDPARANOIA FLAC NLS NORMALIZE VORBIS VORBISGAIN 
[00:06:38] New: CDPARANOIA FLAC FLAC NLS NORMALIZE NORMALIZE VORBIS VORBISGAIN 

[00:06:55] Deleting wsjt-10.r5745_6.txz: new dependency: science/py-scipy@python3
Comment 9 Mathieu Arnold freebsd_committer 2017-10-20 13:30:30 UTC
py-autobahn is "normal" it had two options, TWISTED for python2 and ASYNCIO for python3, so I forced/excluded options for the python2/3 flavors.

meep seeps to be doing something pretty darn stupid with how it handles options, but nothing to do with me.

soundkonverter has the FLAC option twice. (but nothing to do with me either, I think)

wsjt is one of the many ports depending on a python port in a stupid way. I'll fix it.
Comment 10 Mathieu Arnold freebsd_committer 2017-10-25 14:32:03 UTC
Created attachment 187463 [details]
based on ports r452844

Fixed previous errors.
Comment 11 Antoine Brodin freebsd_committer 2017-10-25 15:05:38 UTC
I have those warnings at start:

[00:02:08] Warning: mail/py-afew@python3 dependency on textproc/py-chardet has wrong PKGNAME of 'py36-chardet' but should be 'py27-chardet'
[00:02:08] Warning: mail/py-afew@python3 dependency on mail/py-notmuch has wrong PKGNAME of 'py36-notmuch' but should be 'py27-notmuch'
Comment 12 Mathieu Arnold freebsd_committer 2017-10-25 15:17:31 UTC
Created attachment 187464 [details]
based on ports r452844, v2
Comment 13 Antoine Brodin freebsd_committer 2017-10-26 19:20:25 UTC
Ports doing strange things with options:

[00:17:11] Deleting meep-1.2.1_9.txz: changed options
[00:17:11] Pkg: MPICH2
[00:17:11] New:

[00:20:39] Deleting soundkonverter-2.2.2_6.txz: changed options
[00:20:39] Pkg: CDPARANOIA FLAC NLS NORMALIZE VORBIS VORBISGAIN
[00:20:39] New: CDPARANOIA FLAC FLAC NLS NORMALIZE NORMALIZE VORBIS VORBISGAIN

New failures:

http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-26_18h50m25s/logs/errors/py27-glewpy-0.7.4_5.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-26_18h50m25s/logs/errors/py27-speex-0.2_2.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-26_18h50m25s/logs/errors/py27-pyliblo-0.10.0.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-10-26_18h50m25s/logs/errors/py27-bison-0.1.8_4.log
Comment 14 commit-hook freebsd_committer 2017-10-27 12:19:40 UTC
A commit references this bug:

Author: mat
Date: Fri Oct 27 12:19:17 UTC 2017
New revision: 452974
URL: https://svnweb.freebsd.org/changeset/ports/452974

Log:
  Fix options defined more than once.

  PR:		223071
  Reported by:	antoine
  Sponsored by:	Absolight

Changes:
  head/audio/soundkonverter/Makefile
Comment 15 commit-hook freebsd_committer 2017-10-27 12:19:42 UTC
A commit references this bug:

Author: mat
Date: Fri Oct 27 12:19:20 UTC 2017
New revision: 452975
URL: https://svnweb.freebsd.org/changeset/ports/452975

Log:
  Fix options usage.

  You cannot set a variable after any include and use it in options, as
  options is one of the few things that are done very very early.

  PR:		223071
  Reported by:	antoine
  Sponsored by:	Absolight

Changes:
  head/science/meep/Makefile
Comment 16 Mathieu Arnold freebsd_committer 2017-10-30 16:43:35 UTC
As a side note, some ports enable python via options, so, this can go in make.conf:

accessibility_redshift_SET=	GUI
archivers_rpm4_SET=	PYTHON
audio_alsa-lib_SET=	PYTHON
audio_ecasound_SET=	PYTHON
audio_lash_SET=	PYTHON
audio_libgpod_SET=	PYTHON
audio_rhythmbox_SET=	PYTHON
biology_libsbml_SET=	PYTHON
comms_owfs_SET=	OWPYTHON
databases_cassandra2_SET=	CQL
databases_metakit_SET=	PYTHON
databases_rrdtool12_SET=	PYTHON
databases_rrdtool_SET=	PYTHON
databases_xapian-bindings12_SET=	PYTHON
databases_xapian-bindings_SET=	PYTHON
deskutils_recoll_SET=	PYTHON
devel_ahven_SET=	DOCS
devel_antlr_SET=	PYTHON
devel_cppcheck_SET=	HTMLREPORT
devel_cppcheck_SET=	MATCHCOMPILER
devel_eblob_SET=	PYTHON
devel_evemu_SET=	PYTHON
devel_gcc-arm-embedded_SET=	PYGDB
devel_gdb_SET=	PYTHON
devel_gitg_SET=	PYTHON
devel_glade3_SET=	PYTHON
devel_glade_SET=	PYTHON
devel_libftdi_SET=	PYTHON
devel_newt_SET=	PYTHON
devel_phpbt_SET=	GNATS
devel_staf_SET=	PYTHON
dns_bind9-devel_SET=	PYTHON
dns_bind910_SET=	PYTHON
dns_bind911_SET=	PYTHON
dns_bind912_SET=	PYTHON
dns_bind99_SET=	PYTHON
dns_maradns_SET=	CONV
dns_unbound_SET=	PYTHON
editors_texworks_SET=	PYTHON
editors_vim_SET=	PYTHON
emulators_virtualbox-ose_SET=	PYTHON
finance_gnucash_SET=	PYTHON
finance_ktoblzcheck_SET=	PYTHON
games_craft_SET=	SERVER
games_py-fife_SET=	PYTHON
games_retroarch_SET=	PYTHON
graphics_cegui_SET=	PYTHON
graphics_eog-plugins_SET=	PYTHON
graphics_geos_SET=	PYTHON
graphics_graphviz_SET=	PYTHON
graphics_hugin_SET=	PYTHON
graphics_lensfun_SET=	PYHELPERS
graphics_libsixel_SET=	PYTHON
graphics_mapserver_SET=	PYTHON
graphics_netpbm_SET=	MANPAGES
graphics_partio_SET=	PYTHON
graphics_tiled_SET=	PYTHON
graphics_vigra_SET=	NUMPY
graphics_vips_SET=	PYTHON
graphics_zbar_SET=	PYTHON
irc_bitlbee_SET=	SKYPE
irc_hexchat_SET=	PYTHON
irc_kvirc_SET=	PYTHON
irc_weechat_SET=	PYTHON
irc_xchat_SET=	PYTHON
irc_znc_SET=	PYTHON
japanese_tomoe_SET=	PYTHON
lang_gcc6-devel_SET=	JAVA
lang_gcc6_SET=	JAVA
lang_io_SET=	Python
lang_pypy_SET=	PYTHON
mail_mailutils_SET=	PYTHON
math_ceres-solver_SET=	DOCS
math_fityk_SET=	PYTHON
math_pdal_SET=	PYTHON
math_plplot_SET=	PYTHON
math_qtiplot_SET=	PYTHON
math_z3_SET=	PYTHON
multimedia_libkate_SET=	KATEDJ
multimedia_vapoursynth_SET=	PYTHON
multimedia_vapoursynth_SET=	VSSCRIPT
net-mgmt_collectd5_SET=	PYTHON
net-mgmt_flowd_SET=	PYTHON
net-mgmt_net-snmp_SET=	PYTHON
net-mgmt_pftabled_SET=	PYTHONC
net-mgmt_wmi-client_SET=	PYTHON
net_dpdk_SET=	TOOLS
net_freeradius3_SET=	PYTHON
net_gnu-dico_SET=	PYTHON
net_gupnp-igd_SET=	PYTHON
net_netatalk3_SET=	DBUS
net_rabbitmq_SET=	ADMIN
net_vde2_SET=	PYTHON
news_nzbget_SET=	PYTHON
polish_ekg2_SET=	PYTHON
science_avogadro_SET=	PYTHON
science_gnudatalanguage_SET=	PYTHON
science_gwyddion_SET=	PYTHON
science_openbabel_SET=	PYTHON
science_silo_SET=	PYTHON
science_tfel_SET=	PYTHON
security_broccoli_SET=	PYTHON
security_lasso_SET=	PYTHON
security_libprelude_SET=	PYTHON
security_libpreludedb_SET=	PYTHON
security_libpwquality_SET=	PYTHON
security_silktools_SET=	PYTHON
security_suricata_SET=	SC
sysutils_bacula-server_SET=	PYTHON
sysutils_bacula9-server_SET=	PYTHON
sysutils_bareos-server_SET=	PYTHON
sysutils_libieee1284_SET=	PYTHON
sysutils_munin-node_SET=	PYTHON
sysutils_openipmi_SET=	PYTHON TKINTER
sysutils_syslog-ng310_SET=	PYTHON
sysutils_syslog-ng311_SET=	PYTHON
sysutils_syslog-ng312_SET=	PYTHON
sysutils_syslog-ng37_SET=	PYTHON
sysutils_syslog-ng39_SET=	PYTHON
textproc_link-grammar_SET=	PYTHON
textproc_redland-bindings_SET=	PYTHON
textproc_zorba_SET=	PYTHON
www_cherokee_SET=	ADMIN
www_domoticz_SET=	PYTHON
www_webgrind_SET=	CALLGRAPH
x11_keybinder_SET=	PYTHON
x11_workrave_SET=	DBUS
Comment 17 Mathieu Arnold freebsd_committer 2017-11-02 16:22:08 UTC
A cleaned up version of the options to put in make.conf:

OPTIONS_SET += PYTHON
accessibility_redshift_SET += GUI
comms_owfs_SET += OWPYTHON
databases_cassandra2_SET += CQL
devel_ahven_SET += DOCS
devel_cppcheck_SET += HTMLREPORT
devel_cppcheck_SET += MATCHCOMPILER
devel_gcc-arm-embedded_SET += PYGDB
devel_phpbt_SET += GNATS
dns_maradns_SET += CONV
games_craft_SET += SERVER
graphics_lensfun_SET += PYHELPERS
graphics_netpbm_SET += MANPAGES
graphics_vigra_SET += NUMPY
irc_bitlbee_SET += SKYPE
lang_gcc6-devel_SET += JAVA
lang_gcc6_SET += JAVA
lang_io_SET += Python
math_ceres-solver_SET += DOCS
multimedia_libkate_SET += KATEDJ
multimedia_vapoursynth_SET += VSSCRIPT
net-mgmt_pftabled_SET += PYTHONC
net_dpdk_SET += TOOLS
net_netatalk3_SET += DBUS
net_rabbitmq_SET += ADMIN
security_suricata_SET += SC
sysutils_openipmi_SET += TKINTER
www_cherokee_SET += ADMIN
www_webgrind_SET += CALLGRAPH
x11_workrave_SET += DBUS
Comment 18 Mathieu Arnold freebsd_committer 2017-11-02 16:25:59 UTC
Created attachment 187668 [details]
based on ports r453344

Please also use the make.conf in the previous comment.
Comment 19 Antoine Brodin freebsd_committer 2017-11-02 21:22:41 UTC
devel/py-qt5-dbussupport/Makefile :
--sip ${LOCALBASE}/bin/sip-${PYTHON_VER} can be removed

devel/py-qt5-designerplugin/Makefile :
--sip ${LOCALBASE}/bin/sip-${PYTHON_VER} can be removed

misc/py-qt4-demo/Makefile :
python3_BROKEN can be removed
Comment 21 Mathieu Arnold freebsd_committer 2017-11-13 16:19:29 UTC
Created attachment 187970 [details]
based on ports r454113
Comment 22 Antoine Brodin freebsd_committer 2017-11-16 06:38:35 UTC
This port does strange things with options:

[00:00:37] Deleting povray-meta-0.1.txz: changed options                                                                                                                                                           [00:00:37] Pkg: DEFAULT36 POVRAY36                                                                                                                                                                                 [00:00:37] New: DEFAULT36 POVRAY36 POVRAY36
Comment 23 Antoine Brodin freebsd_committer 2017-11-16 06:52:17 UTC
It seems lang/py-prolog is not python3 ready:

http://package18.nyi.freebsd.org/data/110i386-default-PR223071/2017-11-16_06h26m41s/logs/errors/py36-prolog-0.1_3.log
Comment 24 commit-hook freebsd_committer 2017-11-18 20:29:54 UTC
A commit references this bug:

Author: mat
Date: Sat Nov 18 20:29:08 UTC 2017
New revision: 454457
URL: https://svnweb.freebsd.org/changeset/ports/454457

Log:
  Fix some horrible port's options handling.

  PR:		223071
  Reported by:	antoine
  Sponsored by:	Absolight

Changes:
  head/graphics/povray-meta/Makefile
Comment 25 commit-hook freebsd_committer 2017-11-18 20:30:57 UTC
A commit references this bug:

Author: mat
Date: Sat Nov 18 20:30:35 UTC 2017
New revision: 454458
URL: https://svnweb.freebsd.org/changeset/ports/454458

Log:
  This only works with 2.7.

  PR:		223071
  Reported by:	antoine
  Sponsored by:	Absolight

Changes:
  head/lang/py-prolog/Makefile
Comment 26 Mathieu Arnold freebsd_committer 2017-11-21 15:57:49 UTC
Created attachment 188162 [details]
base commit: r454610
Comment 27 Mathieu Arnold freebsd_committer 2017-11-21 16:09:17 UTC
Created attachment 188163 [details]
base commit: r454610

small fix over the previous one.
Comment 28 Antoine Brodin freebsd_committer 2017-11-23 06:51:02 UTC
New failure logs:

http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/gnome-builder-3.16.2_1.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/py34-flufl.i18n-2.0.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/pylint-py34-1.7.4.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/pylint-py35-1.7.4.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/RetroArch-1.3.6_9.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/lensfun-0.3.2_1.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/py34-cairocffi-0.8.0_1.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/py35-cairocffi-0.8.0_1.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/frescobaldi-py34-2.20.0_2.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/py34-DendroPy-4.2.0.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/py35-DendroPy-4.2.0.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/py34-diffoscope-88.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/py34-salt-2017.7.1_1.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/py35-salt-2017.7.1_1.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/py34-libxslt-1.1.29_1.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/py35-libxslt-1.1.29_1.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/py34-python-augeas-1.0.3.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/py35-python-augeas-1.0.3.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/py34-xist-5.28.2.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/py35-xist-5.28.2.log
http://package18.nyi.freebsd.org/data/110amd64-default-PR223071/2017-11-23_06h23m26s/logs/errors/gnome-shell-3.18.5_5.log
Comment 29 Mathieu Arnold freebsd_committer 2017-11-23 16:38:48 UTC
Created attachment 188220 [details]
base commit: r454766

Also, please add:

BUILD_ALL_PYTHON_FLAVORS=yes

to the make.conf
Comment 30 Antoine Brodin freebsd_committer 2017-11-23 20:02:17 UTC
[00:03:24] Warning: (www/py-buku): [00:03:24] Error: www/py-buku depends on nonexistent origin 'databases/py36-sqlite3'; Please contact maintainer of the port to fix this.

I'll comment out py-buku for now.
Comment 31 Antoine Brodin freebsd_committer 2017-11-25 11:01:42 UTC
Exp-run looks fine, with and without 
BUILD_ALL_PYTHON_FLAVORS=yes
Comment 32 Charlie Li 2017-11-30 20:59:00 UTC
With FLAVORS in head today, running on my Python 3-default system with BUILD_ALL_PYTHON_FLAVORS set:

- devel/py-gobject needs @${FLAVOR} appended to its graphics/py-cairo dependency
- textproc/itstool and textproc/gnome-doc-utils need @${PY_FLAVOR} appended to their textproc/py-libxml2 dependency
Comment 33 Charlie Li 2017-12-01 07:18:44 UTC
www/firefox, www/firefox-esr and www/thunderbird all need @${PY_FLAVOR} appended to their databases/py-sqlite dependency respectively. In this case, may want to inspect all gecko@ ports for this oversight.
Comment 34 commit-hook freebsd_committer 2017-12-01 08:06:12 UTC
A commit references this bug:

Author: mat
Date: Fri Dec  1 08:05:22 UTC 2017
New revision: 455252
URL: https://svnweb.freebsd.org/changeset/ports/455252

Log:
  Add some missed flavor in dependencies.

  PR:		223071
  Reported by:	ml freebsd bugs vishwin info
  Sponsored by:	Absolight

Changes:
  head/devel/py-gobject/Makefile
  head/textproc/gnome-doc-utils/Makefile
  head/textproc/itstool/Makefile
Comment 35 Mathieu Arnold freebsd_committer 2017-12-01 08:06:54 UTC
(remove dep on #224012 so this can be closed.)